Salon Scheduler Support Center

Some salons need a manual upgrade!!

If your scheduler version is less than 7.11, then you need a manual upgrade.  Please email help@appheaven.us to schedule this upgrade with a technician asap.  You can find your current version by tapping on the Scheduler and then tapping on the pencil at the top.  The version is listed on the REFRESH button.